Bug 1447616 - [ja_JP] Inconsistencies observed while searching for filenames from gedit -> open textfield.
Summary: [ja_JP] Inconsistencies observed while searching for filenames from gedit -> ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 30
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Bhushan Barve
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-03 10:36 UTC by Bhushan Barve
Modified: 2020-05-18 06:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-18 06:47:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Bhushan Barve 2017-05-03 10:36:26 UTC
Description of problem: Some inconsistencies were observed while searching for filenames from the textfield in gedit -> open section. 

1. While searching, incorrect text is getting highlighted. ( For e.g., in the attached screenshot, I tried to search for the string 'あいうえ', the highlighted text in three different results were 'お' and 'あい' which is incorrect. Please create a text file with filename as 'あいうえお' for this case.

2. When a the search string is appended/deleted, some unwanted garbled characters are appearing in the filenames. (Please refer attached screenshot. In this case I deleted the last character in the search string 'あいうえお')

3. Folder names in Japanese do not get highlighted like those in English when searched



Version-Release number of selected component (if applicable):
F26 alpha
gedit-3.22.0-4.fc26.x86_64

How reproducible:
always

Steps to Reproduce:
1. As above
2.
3.

Actual results:
Incorrect text getting highlighted. Garbled characters observed when search string is modified. Japanese folder-name is not highlighted like those in  English.

Expected results:
The correct text should get highlighted. There should not be any garbled characters. Japanese folder names should also get highlighted when searched.

Additional info:

Comment 1 Bhushan Barve 2017-05-03 10:54:19 UTC
Getting following errors in terminal -

1 行の 56 文字目でエラー: 名前はUTF-8として正しくない文字列です - '\xa9' は妥当ではありません

Translation using google translate - Error at line 56, 56th character: name is an incorrect string as UTF-8 - '\ xa9' is not valid

Comment 2 Bhushan Barve 2018-02-22 07:00:54 UTC
Checked with F27. While scenario 2 was not reproducible anymore, scenario 1 and 3 are still reproducible.

In scenario 1, now it is observed that filename is not getting highlighted everytime even with English file names. Inconsistent behavior is observed.

Comment 3 Bhushan Barve 2018-07-19 08:28:55 UTC
Checked with F28.
Similar observations as per comment #2.
Changing the version to F28.

Comment 4 Ben Cotton 2020-04-30 22:14:45 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Bhushan Barve 2020-05-18 06:47:04 UTC
Not observed with F32. Closing it.


Note You need to log in before you can comment on or make changes to this bug.